{

    "AbilityName": "GoldenBomb_IdleEffect",

    "AbilityStacking": "Unique",

    "DefaultModifier": {

        "OnAdded": [

            {

                "$type": "MoleMole.ApplyModifier",

                "ModifierName": "GoldenBomb_IdleEffect",

                "Target": "Self"

            },

            {

                "$type": "MoleMole.ApplyModifier",

                "ModifierName": "LightEffectTest",

                "Target": "Self",

                "Predicates": [

                    {

                        "$type": "MoleMole.ByTags",

                        "Target": "Self",

                        "TagList" : 

                        [

                            "Test",

                        ],

                    },

                ],

            },

        ],

    },

    "Modifiers": {

        "GoldenBomb_IdleEffect": {

            "ModifierStacking": "Unique",

            "Duration": -1,

            "OnAdded": [

                {

                    "$type": "MoleMole.AttachEffect",

                    "EffectPattern": "Eff_Monster_GoldenBomb_Loop",

                    "Target": "Self",

                },

            ],

        },

        "LightEffectTest": {

            "ModifierStacking": "Unique",

            "Duration": 3,

            "OnAdded": [

                {

                    "$type": "MoleMole.AttachEffect",

                    "EffectPattern": "Eff_Light_Test",

                    "Target": "Self",

                },

                {

                    "$type": "MoleMole.LogStringAction", //打Log调试

                    "LogStr": "LightEffectTest启动!!!"

                },

            ],

            "OnRemoved": [

                {

                    "$type": "MoleMole.ApplyModifier",

                    "ModifierName": "LoopTest",

                    "Target": "Self"

                },

            ]

        },

        "LoopTest": {

            "ModifierStacking": "Unique",

            "Duration": 2,

            "OnRemoved": [

                {

                    "$type": "MoleMole.ApplyModifier",

                    "ModifierName": "LightEffectTest",

                    "Target": "Self"

                },

            ]

        },

    }

}